OpenTTD Source: GUIVehicleGroup Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Data Fields
GUIVehicleGroup Struct Reference

## Public Member Functions
| GUIVehicleGroup (VehicleList::const_iterator vehicles_begin, VehicleList::const_iterator vehicles_end)
std::ptrdiff_t | NumVehicles () const
const Vehicle * | GetSingleVehicle () const
Money | GetDisplayProfitThisYear () const
Money | GetDisplayProfitLastYear () const
TimerGameEconomy::Date | GetOldestVehicleAge () const

## Data Fields
VehicleList::const_iterator | vehicles_begin
| Pointer to beginning element of this vehicle group.
VehicleList::const_iterator | vehicles_end
| Pointer to past-the-end element of this vehicle group.

## Detailed Description

Definition at line 24 of file vehicle_gui_base.h.

## Constructor & Destructor Documentation

## ◆ GUIVehicleGroup()

GUIVehicleGroup::GUIVehicleGroup | ( | VehicleList::const_iterator | vehicles_begin,
|  | VehicleList::const_iterator | vehicles_end
| ) |  |
| inline

Definition at line 28 of file vehicle_gui_base.h.

## Member Function Documentation

## ◆ GetDisplayProfitLastYear()

Money GUIVehicleGroup::GetDisplayProfitLastYear | ( |  | ) | const
| inline

Definition at line 49 of file vehicle_gui_base.h.

## ◆ GetDisplayProfitThisYear()

Money GUIVehicleGroup::GetDisplayProfitThisYear | ( |  | ) | const
| inline

Definition at line 42 of file vehicle_gui_base.h.

## ◆ GetOldestVehicleAge()

TimerGameEconomy::Date GUIVehicleGroup::GetOldestVehicleAge | ( |  | ) | const
| inline

Definition at line 56 of file vehicle_gui_base.h.

## ◆ GetSingleVehicle()

const Vehicle * GUIVehicleGroup::GetSingleVehicle | ( |  | ) | const
| inline

Definition at line 36 of file vehicle_gui_base.h.

## ◆ NumVehicles()

std::ptrdiff_t GUIVehicleGroup::NumVehicles | ( |  | ) | const
| inline

Definition at line 31 of file vehicle_gui_base.h.

## Field Documentation

## ◆ vehicles_begin

VehicleList::const_iterator GUIVehicleGroup::vehicles_begin

Pointer to beginning element of this vehicle group.

Definition at line 25 of file vehicle_gui_base.h.

Referenced by CargoFilter(), BaseVehicleListWindow::DrawVehicleListItems(), VehicleGroupWindow::OnClick(), VehicleListWindow::OnClick(), VehicleClicked(), and VehicleIndividualToGroupSorterWrapper().

## ◆ vehicles_end

VehicleList::const_iterator GUIVehicleGroup::vehicles_end

Pointer to past-the-end element of this vehicle group.

Definition at line 26 of file vehicle_gui_base.h.

Referenced by CargoFilter(), and VehicleClicked().

The documentation for this struct was generated from the following file:

- src/vehicle_gui_base.h